Bug 239218 - chkconfig fail ungracefully when (misguidedly) provided an argument with slash
chkconfig fail ungracefully when (misguidedly) provided an argument with slash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-06 06:36 EDT by Bowe Strickland
Modified: 2014-03-16 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 21:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2007-05-06 06:36:00 EDT
Description of problem:
if chkconfig (miguidedly) called with an argument containing a slash, chkconfig
goes to far down the path of trying to create a symlink, failing ungracefully,
leaving one wondering what "half configuration" got left in place.  perhaps a
basename when vetting the argument?


Version-Release number of selected component (if applicable):
fc7-test4


[root@station195 init.d]# ./NetworkManagerDispatcher start
Starting NetworkManagerDispatcher daemon:                  [  OK  ]
[root@station195 init.d]# chkconfig ./NetworkManagerDispatcher on
failed to make symlink /etc/rc2.d/S98./NetworkManagerDispatcher: No such file or
directory
failed to make symlink /etc/rc3.d/S98./NetworkManagerDispatcher: No such file or
directory
failed to make symlink /etc/rc4.d/S98./NetworkManagerDispatcher: No such file or
directory
failed to make symlink /etc/rc5.d/S98./NetworkManagerDispatcher: No such file or
directory
Comment 1 Bill Nottingham 2007-05-07 21:29:20 EDT
Fixed in CVS, will be in 1.3.35-1, some time post F7.

Note You need to log in before you can comment on or make changes to this bug.